%define _version 210
# we need atleast ubuse-0.7.1 as with 0.7.1 abuse.sdl was renamed to abuse
%define min_abuse_version 0.7.1

Name:           fRaBs
Version:        2.11
Release:        4%{?dist}
Group:          Amusements/Games
License:        Public Domain
Summary:        Free data files for abuse the game
URL:            http://abuse.zoy.org/
# we use an older version no longer available, see changelog for rationale
Source0:        frabs%{_version}_unix.src.tar.bz2
Source1:        %{name}.desktop
Patch0:         frabs210-lisp-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ImageMagick desktop-file-utils
BuildArch:      noarch
Requires:       abuse >= %{min_abuse_version}, hicolor-icon-theme
Provides:       abuse-data = %{min_abuse_version}
Provides:       frabs = %{version}-%{release}

%description
Free data files for Abuse, the classic Crack-Dot-Com game.


%prep
%setup -q -n frabs%{_version}_unix.src
%patch0 -p1


%build
convert icons/frabs2.ico %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
# dirs, can't use install
cp -a addon art levels lisp music netlevel register sfx \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 *.lsp defaults.prp $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root)
%doc readme.txt docs/*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar  4 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.11-1
- Sync with upstream 2.11 release (backport 2 small addon lisp fixes), but keep
  using the old tarbal as the new one contains a dos version, with dos
  exectuables, line-endings and various filename upper/lowercase mismatches.
- Update .desktop file for new 0.7.1 abuse release (binary name changed)

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10-3
- Fixup .desktop file categories for games-menus usage

* Thu Aug 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10-2
- In the .desktop file pass -fullscreen to abuse instead of -f so that abuse
  actually starts in fullscreen mode

* Wed Aug 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10-1
- Initial FE submission
